#!/bin/bash

# re-sign script for vBulletin apps
# created by Stefano Acerbetti

export EMBEDDED_PROFILE_NAME=embedded.mobileprovision
export CODESIGN_ALLOCATE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/codesign_allocate

echo ''
echo '#############################################################'
echo '# Application name: ' $1
echo '# Application identifier: ' $2
echo '# Distribution certificate: ' $3
echo '# Provisioning profile ID: ' $4
echo '#############################################################'
echo ''

echo 'Copying provisioning profile into the bundle...'
cp $4 $1.app/embedded.mobileprovision
echo ''

echo 'Creating the entitlements file...'
sed 's/%BUNDLE%/'$2'.com.internetbrands.'$1'/g' entitlements.template > $1.xcent
echo ''

echo 'Signing the application with the new certificate...'
codesign -f -vvvv -s "iPhone Distribution: $3" --resource-rules=$1.app/ResourceRules.plist --entitlements $1.xcent $1.app
echo ''

#echo 'Compressing the app...'
#ditto -c -k --keepParent $1.app $1-AppStore.zip
#echo ''

echo 'Operation Done!'
